SDL_sysjoystick.h File Reference
`#include "../SDL_internal.h"`
`#include "SDL_joystick.h"`
`#include "SDL_joystick_c.h"`
Include dependency graph for SDL_sysjoystick.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | _SDL_JoystickAxisInfo
struct | SDL_Joystick
struct | SDL_Joystick::balldelta
struct | _SDL_JoystickDriver

## Macros

#define | SDL_HARDWARE_BUS_USB 0x03
#define | SDL_HARDWARE_BUS_BLUETOOTH 0x05
#define | MAKE_VIDPID(VID, PID) (((Uint32)(VID))<<16|(PID))

## Variables

SDL_JoystickDriver | SDL_ANDROID_JoystickDriver
SDL_JoystickDriver | SDL_BSD_JoystickDriver
SDL_JoystickDriver | SDL_DARWIN_JoystickDriver
SDL_JoystickDriver | SDL_DUMMY_JoystickDriver
SDL_JoystickDriver | SDL_EMSCRIPTEN_JoystickDriver
SDL_JoystickDriver | SDL_HAIKU_JoystickDriver
SDL_JoystickDriver | SDL_HIDAPI_JoystickDriver
SDL_JoystickDriver | SDL_IOS_JoystickDriver
SDL_JoystickDriver | SDL_LINUX_JoystickDriver
SDL_JoystickDriver | SDL_WINDOWS_JoystickDriver

## Macro Definition Documentation

## MAKE_VIDPID

#define MAKE_VIDPID | ( |  | VID,
|  |  | PID
| ) |  | (((Uint32)(VID))<<16|(PID))

Definition at line 90 of file SDL_sysjoystick.h.

## SDL_HARDWARE_BUS_BLUETOOTH

#define SDL_HARDWARE_BUS_BLUETOOTH 0x05

Definition at line 87 of file SDL_sysjoystick.h.

## SDL_HARDWARE_BUS_USB

#define SDL_HARDWARE_BUS_USB 0x03

Definition at line 86 of file SDL_sysjoystick.h.

## Variable Documentation

## SDL_ANDROID_JoystickDriver

SDL_JoystickDriver SDL_ANDROID_JoystickDriver

## SDL_BSD_JoystickDriver

SDL_JoystickDriver SDL_BSD_JoystickDriver

## SDL_DARWIN_JoystickDriver

SDL_JoystickDriver SDL_DARWIN_JoystickDriver

## SDL_DUMMY_JoystickDriver

SDL_JoystickDriver SDL_DUMMY_JoystickDriver

## SDL_EMSCRIPTEN_JoystickDriver

SDL_JoystickDriver SDL_EMSCRIPTEN_JoystickDriver

## SDL_HAIKU_JoystickDriver

SDL_JoystickDriver SDL_HAIKU_JoystickDriver

## SDL_HIDAPI_JoystickDriver

SDL_JoystickDriver SDL_HIDAPI_JoystickDriver

## SDL_IOS_JoystickDriver

SDL_JoystickDriver SDL_IOS_JoystickDriver

Definition at line 868 of file SDL_sysjoystick.m.

## SDL_LINUX_JoystickDriver

SDL_JoystickDriver SDL_LINUX_JoystickDriver

## SDL_WINDOWS_JoystickDriver

SDL_JoystickDriver SDL_WINDOWS_JoystickDriver